## python-pika 0.9.5

=== Makefile ===
SIBLING_CODEGEN_DIR=../rabbitmq-codegen/
AMQP_CODEGEN_DIR=$(shell [ -d $(SIBLING_CODEGEN_DIR) ] && echo $(SIBLING_CODEGEN_DIR) || echo codegen)
AMQP_SPEC_JSON_FILES=$(AMQP_CODEGEN_DIR)/amqp-rabbitmq-0.9.1.json
PYTHON=python
LAST_VERSION=$(shell git describe --tags --match v0* --abbrev=0)

all:
	@echo "\nRun "make install" or \"python setup.py install\" to install Pika\n"

pika/spec.py: codegen.py $(AMQP_CODEGEN_DIR)/amqp_codegen.py $(AMQP_SPEC_JSON_FILES)
	$(PYTHON) codegen.py spec $(AMQP_SPEC_JSON_FILES) $@

# For dev work, when working from a git checkout
codegen/amqp_codegen.py:
	if [ -d codegen ]; then rmdir codegen; else true; fi
	curl http://hg.rabbitmq.com/rabbitmq-codegen/archive/default.tar.bz2 | tar -jxvf -
	mv rabbitmq-codegen-default codegen

regenclean: clean
	rm -f pika/spec.py

distclean: clean
	rm -rf codegen

clean:
	rm -f pika/*.pyc
	rm -f tests/*.pyc tests/functional/*.pyc tests/unit/*.pyc
	rm -f examples/*.pyc examples/blocking/*.pyc
	$(MAKE) -C docs clean

# For building a releasable tarball
codegen:
	mkdir -p $@
	cp -r "$(AMQP_CODEGEN_DIR)"/* $@
	$(MAKE) -C $@ clean

test: pep8
	 cd tests && ./run_tests.py

pep8:
	pep8 --ignore=E501 --statistics --count -r codegen.py pika/spec.py tests/unit/data_test.py tests/unit/frame_decode_test.py tests/unit/frame_encode_test.py
	pep8 --exclude=spec.py,data_test.py,frame_*_test.py --statistics --count -r pika examples tests

documentation:
	$(MAKE) -C docs html

push_documentation: documentation
	git commit docs/*.rst docs/*.py
	git clone git@github.com:pika/pika.git -b gh-pages gh-pages
	cd gh-pages && git rm -rf *
	cp -R docs/_build/html/* gh-pages
	cd gh-pages && git add -A
	cd gh-pages && git commit -m 'Update documentation from master' -a
	cd gh-pages && git push
	rm -rf gh-pages

install:
	$(PYTHON) setup.py install

sandbox: pika/spec.py test documentation
	echo "Sandbox created"

distribution:
    # Example:
    #  make distribution VERSION=0.9.4
	echo "Building $(VERSION)"

	# Tag the version
	git tag v$(VERSION)
	git push origin v$(VERSION)

	# Make the dist build dir
	mkdir -p dist/pika-$(VERSION)

	# Extract the tag and build the dist dir
	git archive --format=tar v$(VERSION)  | tar -x -C dist/pika-$(VERSION)
	#rm dist/pika-$(VERSION)/.gitignore

	# Replace the version where we have palceholders
	sed -i 's/__VERSION_STRING__/$(VERSION)/g' dist/pika-$(VERSION)/setup.py dist/pika-$(VERSION)/docs/*

	# Make the tarball
	cd dist && tar cfvz pika-$(VERSION).tar.gz pika-$(VERSION)/* --exclude=pika-$(VERSION)/.gitignore

	# Update the MD5 checksum in the documentation
	sed -i "s/__MD5_CHECKSUM__/$$(md5sum dist/pika-$(VERSION).tar.gz | awk {'print $$1'})/g" dist/pika-$(VERSION)/docs/index.rst

	# Make and push the documentation with the new version info
	$(MAKE) -C dist/pika-$(VERSION)/docs html
	git clone git@github.com:pika/pika.git -b gh-pages gh-pages
	cd gh-pages && git rm -rf *
	cp -R dist/pika-$(VERSION)/docs/_build/html/* gh-pages
	cd gh-pages && git add -A
	cd gh-pages && git commit -m 'Update documentation from master' -a
	cd gh-pages && git push
	rm -r gh-pages

	# Build the PKG-INFO file for uploading to pypi
	cd dist/pika-$(VERSION) && python setup.py sdist && cp pika.egg-info/PKG-INFO ../

 	# Remove the build directory
	rm -r dist/pika-$(VERSION)

	# Output for changelog
	git shortlog --no-merges v$(VERSION) ^$(LAST_VERSION) | cat

=== debian/changelog ===
python-pika (0.9.5-1ubuntu2) quantal; urgency=low

  * debian/rules:
    - Fix running nosetests to actually pick up tests
  * debian/control:
    - Add python-mock to Build-Depends

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jun 2012 07:20:36 -0400

python-pika (0.9.5-1ubuntu1) quantal; urgency=low

  * debian/rules, debian/control: enable testsuite during build. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Jun 2012 10:12:26 -0400

python-pika (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #635891)

 -- Jan Dittberner <jandd@debian.org>  Sat, 30 Jul 2011 11:54:54 +0200

=== debian/control ===
Source: python-pika
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.5~), python-setuptools, python-nose, python-mock
Standards-Version: 3.9.2
Homepage: http://pika.github.com/
Vcs-Svn: svn://anonscm.debian.org/svn/python-modules/packages/python-pika/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pika/trunk/

Package: python-pika
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: AMQP client library
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $@

override_dh_auto_clean:
	rm -rf dist build setup.cfg PKG-INFO pika.egg-info
	find -name '*\.py[co]' -delete

override_dh_compress:
	dh_compress -X.py

override_dh_auto_test:
	nosetests tests/*/

=== debian/watch ===
version=3
http://githubredir.debian.net/github/pika/pika /github/pika/pika/v([\d.]+).tar.gz

## python-pika 0.9.13

=== Makefile ===
integration:
	nosetests -c integration.cfg

=== tests/integration/requirements.txt ===
nose
PyYAML

=== debian/changelog ===
python-pika (0.9.13-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:42 +0000

python-pika (0.9.13-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * Update debian/watch to match github tags.
  * debian/control:
    - Bump Standards-version to 3.9.4.
    - Add python-twisted, python-tornado, python-yaml, python-nose,
      python-mock and netbase to Build-Depends to be able to run the testsuite.
  * debian/rules: Run testsuite.
  * debian/python-pika.docs:
    - Remove THANKS. No longer available.
    - Remove ROADMAP. No longer available.
    - Add docs/.

  [ Jan Dittberner ]
  * debian/control: canonical Vcs-Svn URL

 -- Jan Dittberner <jandd@debian.org>  Thu, 11 Jul 2013 22:38:30 +0200

=== debian/control ===
Source: python-pika
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.5~),
               python-setuptools,
               python-twisted,
               python-tornado,
               python-yaml,
               python-nose,
               python-mock,
               netbase
Standards-Version: 3.9.4
Homepage: http://pika.github.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pika/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pika/trunk/

Package: python-pika
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: AMQP client library
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)

%:
	dh --with python2 --buildsystem=python_distutils $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py test; \
	done
endif


override_dh_auto_clean:
	rm -rf dist build setup.cfg PKG-INFO pika.egg-info
	find -name '*\.py[co]' -delete

override_dh_compress:
	dh_compress -X.py

=== debian/watch ===
version=3
http://githubredir.debian.net/github/pika/pika /github/pika/pika/([\d.]+).tar.gz

## python-pika 0.9.14

=== debian/changelog ===
python-pika (0.9.14-1) unstable; urgency=medium

  * New upstream version
  * update debian/python-pika.docs, upstream renamed README.md to
    README.rst
  * upstream switched license to MPL 2.0, update debian/copyright
  * install docs/version_history.rst as upstream changelog, add symlink to
    original name

 -- Jan Dittberner <jandd@debian.org>  Fri, 26 Sep 2014 20:23:33 +0200

python-pika (0.9.13-2) unstable; urgency=medium

  * repair debian/watch file
  * debian/compat: bump to 9
  * debian/control:
    - bump Standards-Version to 3.9.5 (no changes)
    - switch to pybuild, add dh-python to Build-Depends, add X-Python-Version
    - bump debhelper version to (>= 9)
    - run wrap-and-sort
  * debian/rules:
    - simplify rules to use pybuild defaults

 -- Jan Dittberner <jandd@debian.org>  Sun, 23 Feb 2014 23:59:38 +0100

=== debian/control ===
Source: python-pika
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               netbase,
               python (>= 2.6.5~),
               python-mock,
               python-nose,
               python-setuptools,
               python-tornado,
               python-twisted,
               python-yaml
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://pika.github.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pika/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pika/trunk/

Package: python-pika
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: AMQP client library
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_NAME=python-pika

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/version_history.rst

override_dh_link:
	rm $(CURDIR)/debian/python-pika/usr/share/doc/python-pika/version_history.rst
	dh_link

override_dh_compress:
	dh_compress -X.py

## python-pika 0.10.0

=== debian/changelog ===
python-pika (0.10.0-1) unstable; urgency=medium

  * New upstream version (Closes: #796543)
  * Update copyright years
  * Add Python 3 support (Closes: #809315)
  * Add documentation package python-pika-doc
  * Bump Standards-Version to 3.9.6 (no changes)
  * Register HTML documentation with doc-base
  * Declare relationships between binary packages, add Breaks and
    Replaces for older versions
  * properly setup tests
  * apply upstream patches for test errors
    (debian/patches/0001-Fix-the-channel-tests.patch and
    debian/patches/0002-Make-the-test-more-reliable-in-Python-3.5.patch)

 -- Jan Dittberner <jandd@debian.org>  Wed, 30 Dec 2015 14:25:06 +0100

=== debian/control ===
Source: python-pika
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               netbase,
               python-all,
               python-mock,
               python-nose,
               python-setuptools,
               python-sphinx | python3-sphinx,
               python-tornado,
               python-twisted,
               python-yaml,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-tornado,
               python3-twisted,
               python3-yaml
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Homepage: http://pika.github.com/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pika.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pika.git

Package: python-pika
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-pika-doc (= ${binary:Version})
Description: AMQP client library for Python 2
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.
 .
 This is the Python 2 version of the library.

Package: python3-pika
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pika-doc (= ${binary:Version})
Description: AMQP client library for Python 3
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.
 .
 This is the Python 3 version of the library.

Package: python-pika-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-pika (<< 0.10.0-1)
Replaces: python-pika (<< 0.10.0-1)
Description: AMQP client library documentation
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.
 .
 This is the library documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pika
export PYBUILD_TEST_ARGS={dir}/tests/unit/

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/version_history.rst

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_link:
	rm $(CURDIR)/debian/python-pika-doc/usr/share/doc/python-pika-doc/html/_sources/version_history.txt
	dh_link

override_dh_compress:
	dh_compress -X.py

## python-pika 0.11.0

=== debian/changelog ===
python-pika (0.11.0-5) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #938024).
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.
  * Enable autopkgtest-pkg-python testsuite instead of own one.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 10:35:10 +0200

python-pika (0.11.0-4) unstable; urgency=medium

  * Team upload.
  * Add breaks+replaces python-pika (<< 0.11.0-3~). (Closes: #903801)

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Aug 2018 14:02:28 +0000

python-pika (0.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Jan Dittberner ]
  * Fix "both ship /usr/share/doc/python-pika/README.rst" remove
    debian/python-pika.docs and debian/python3-pika.docs to avoid installing
    README.rst that is in python-pika-doc too (Closes: #903801)

 -- Jan Dittberner <jandd@debian.org>  Sun, 12 Aug 2018 11:24:46 +0200

python-pika (0.11.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michal Arbet ]
  * d/control: Bump debhelper version
  * d/compat: Bump debhelper compatibility level
  * Add 0001-fix-python3.7-async-reserver-keyword.patch
  * d/control: Update Homepage
  * d/rules: Remove removal of version_history.rst.txt

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Run the doc build in the dh_sphinxdoc target, and install docs directly in
    the correct location rather than copying it later on.
  * Restored sanity in debian/changelog and removed unreleased changelog entry
    for version 0.10.0-2 that was never uploaded.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jul 2018 13:03:44 +0000

python-pika (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (0.11.0)
  * Update Homepage in debian/control
  * Clean *.egg-info/*
  * Build-depend on python3-sphinx, not python-sphinx
  * Bump Standards-Version from 4.0.0 to 4.1.0 (no change required)
  * Update debian/copyright Format: URL

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 27 Sep 2017 04:39:47 +0100

python-pika (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Fix "python-pika FTBFS: rm: cannot remove version_history.txt: No
    such file or directory" filename now version_history.rst.txt (Closes:
    #867990)
  * Fix spelling in debian/python-pika-doc.doc-base
  * Add autopkgtests
  * Bump standards version from 3.9.6 to 4.0.0 (no change required)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 28 Jul 2017 04:48:19 +0100

=== debian/control ===
Source: python-pika
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 netbase,
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-sphinx,
 python3-tornado,
 python3-twisted,
 python3-yaml,
Standards-Version: 4.4.0
Homepage: https://pika.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pika.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pika
Testsuite: autopkgtest-pkg-python

Package: python-pika-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-pika (<< 0.11.0-3~),
Replaces:
 python-pika (<< 0.11.0-3~),
Description: AMQP client library documentation
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.
 .
 This is the library documentation.

Package: python3-pika
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pika-doc (= ${binary:Version}),
Description: AMQP client library for Python 3
 Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
 stay fairly independent of the underlying network support library. Pika was
 developed primarily for use with RabitMQ, but also works with other
 AMQP-0-9-1 brokers.
 .
 This is the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pika
export PYBUILD_TEST_ARGS={dir}/tests/unit/

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/version_history.rst

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-pika-doc/usr/share/doc/python-pika-doc/html
	dh_sphinxdoc

override_dh_link:
	dh_link

override_dh_compress:
	dh_compress -X.py

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d.]+)\.tar\.gz/python-pika-$1.tar.gz/ \
https://github.com/pika/pika/releases /pika/pika/archive/([\d.]+)\.tar\.gz

## python-pika 1.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pika.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pika.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pika"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pika"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pika (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pika-doc: Add Multi-Arch: foreign.

  [ Sergio de Almeida Cipriano Junior ]
  * d/watch: Update regex to match tags
  * Remove d/p/0001-fix-python3.7-async-reserver-keyword.patch.
    It is no longer necessary in version 1.2.0.
  * d/control: Add python3-mock as dependency
  * d/control: Bump Standards-Version from 4.4.1 to 4.6.1
  * d/control: Bump debhelper-compat from 12 to 13
  * d/control: Add Rules-Requires-Root
  * New upstream version 1.2.0 (Closes: #900808)

  [ Sergio Durigan Junior ]
  * d/watch: Fix filenamemangle.
  * d/control: Fix Standards-Version to 4.6.0.1.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 11 Nov 2021 19:00:39 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  netbase,
  python3-all,
@@ -15,11 +15,13 @@
  python3-tornado,
  python3-twisted,
  python3-yaml,
-Standards-Version: 4.4.0
+ python3-mock,
+Standards-Version: 4.6.0.1
 Homepage: https://pika.readthedocs.io/en/latest/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pika.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pika
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pika.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pika
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-pika-doc
 Section: doc
@@ -31,6 +33,7 @@
  python-pika (<< 0.11.0-3~),
 Replaces:
  python-pika (<< 0.11.0-3~),
+Multi-Arch: foreign
 Description: AMQP client library documentation
  Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
  stay fairly independent of the underlying network support library. Pika was

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-pika-$1\.tar\.gz/ \
  https://github.com/pika/pika/tags .*/v?(\d\S+)\.tar\.gz

## python-pika 1.3.2

=== debian/changelog ===
python-pika (1.3.2-4) unstable; urgency=medium

  * Add upstream patch to fix tests with Python3.14 (Closes: #1123287)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Dec 2025 16:25:54 +0100

python-pika (1.3.2-3) unstable; urgency=medium

  * Apply Multi-Arch: hint
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 12:32:54 +0100

python-pika (1.3.2-2) unstable; urgency=medium

  * Swap Maintainer <-> Uploaders per new Team Policy
  * Add myself as uploader
  * Trim d/rules

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 19:32:51 +0200

python-pika (1.3.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version (Closes: #1054171)
  * Replace Nose by Pytest (Closes: #1018554)
  * Add pybuild-plugin-pyproject build dependency
  * Standards-Version: 4.7.0 (routine-update)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python-pika-doc: Drop versioned constraint on python-pika in Replaces.
    + python-pika-doc: Drop versioned constraint on python-pika in Breaks.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Jun 2024 00:41:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: python-pika
 Section: python
 Priority: optional
-Maintainer: Jan Dittberner <jandd@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Debian Python Team <team+python@tracker.debian.org>,
+ Jan Dittberner <jandd@debian.org>,
+ Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  netbase,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-nose,
+ python3-gevent,
+ python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-tornado,
  python3-twisted,
  python3-yaml,
- python3-mock,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Homepage: https://pika.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pika.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pika
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
+X-Style: black
 
 Package: python-pika-doc
 Section: doc
@@ -29,10 +31,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Breaks:
- python-pika (<< 0.11.0-3~),
-Replaces:
- python-pika (<< 0.11.0-3~),
 Multi-Arch: foreign
 Description: AMQP client library documentation
  Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
@@ -44,6 +42,7 @@
 
 Package: python3-pika
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pika
export PYBUILD_TEST_ARGS={dir}/tests/unit/

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf docs/.build

execute_before_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-pika-doc/usr/share/doc/python-pika-doc/html

override_dh_compress:
	dh_compress -X.py

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pika
Project: pika
